package cn.com.taiji.cql.service.impl;

import cn.com.taiji.common.domain.PageResult;

import cn.com.taiji.common.model.GeoRequestParam;
import cn.com.taiji.common.model.LayerGroupDsView;
import cn.com.taiji.cql.service.IDataCommonService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

@Slf4j
@Service
public class DataCommonServiceImpl extends BuildDataStoreImpl implements IDataCommonService {



    @Override
    public PageResult dataCommonQuery(GeoRequestParam geoRequestParam) {

        List<String> layerGroupList = new ArrayList<String>();

        //图层组
        String layers = geoRequestParam.getLayers();
        if(layers !=null && "".equals(layers)){

            layerGroupList.add(layers);
        }
        //图层
        String typeName = geoRequestParam.getTypename();

        if(typeName !=null && "".equals(typeName)){

            String[] typeNames = typeName.split(",");

            layerGroupList.addAll(Arrays.asList(typeNames));

        }

        if(layerGroupList.size() >0){


        }



        return null;
    }
}
