package cn.com.taiji.common.domain;

import cn.com.taiji.common.enums.CommonConstant;
import lombok.Data;

import java.io.Serializable;

/**
 * 分页参数
 */
@Data
public class PageInfo implements Serializable {

    /**
     *当前页数
     */
    private Long pageNumber= CommonConstant.PAGE_NUMBER;
    /**
     *一页显示多少条记录
     */
    private Long pageSize=CommonConstant.PAGE_SIZE;
}
