package cn.com.taiji.common.model;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class TileDataSource implements Serializable {

    /**
     * 主键
     */
    private int id;

    /**
     * 数据库地址
     */
    private String host;

    /**
     * 数据库类型
     */
    private String dbType;


    /**
     * 数据库名
     */
    private String dataBase;


    /**
     * 用户名
     */
    private String userName;

    /**
     * 密码
     */
    private String userPassword;

    /**
     * 状态
     */
    private String status;


    /**
     * 创建人
     */
    private String createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String updateUser;

    /**
     * 修改时间
     */
    private Date updateTime;


    /**
     * 排序
     */
    private int sort;

}
