package cn.com.taiji.tile.service;


import cn.com.taiji.common.model.LayerGroupDsView;
import cn.com.taiji.common.model.LayerStyleView;
import cn.com.taiji.common.model.GeoRequestParam;
import cn.com.taiji.tile.model.FeatureInfo;

import java.util.List;
import java.util.Map;

public interface ITileService {


    byte[] tileData(GeoRequestParam requestParam, List<LayerGroupDsView> layerGroupDsViewList, Map<String,List<LayerStyleView>> dataMaps);
    FeatureInfo getFeatureInfo(GeoRequestParam geoRequestParam, List<LayerGroupDsView> layerGroupDsViewList, Map<String, List<LayerStyleView>> dataMaps);

    List<Map<String, Object>> getFeature(GeoRequestParam geoRequestParam, List<LayerGroupDsView> layerGroupDsViewList, Map<String, List<LayerStyleView>> dataMaps);
}
