package cn.com.taiji.web.service;

import cn.com.taiji.common.domain.PageResult;
import cn.com.taiji.common.domain.Result;
import cn.com.taiji.web.vo.DeviceVo;
import cn.com.taiji.web.vo.EnterpriseVo;
import org.springframework.web.bind.annotation.RequestBody;

public interface IEnterpriseService {

    /**
     * 根据企业类型、企业名称查询企业基本信息列表
     * @param enterpriseVo
     * @return
     */

    PageResult enterpriseQuery(EnterpriseVo enterpriseVo);

    /**
     * 根据圆心和半径查找周边企业设备
     * @param deviceVo
     * @return
     */

    Result deviceQuery(@RequestBody DeviceVo deviceVo);

    /**
     * 企业数据统计
     * @return
     */
    Result staticsQuery();
}
