package cn.com.taiji.cql.test;

import org.geotools.api.referencing.crs.CoordinateReferenceSystem;
import org.geotools.geometry.jts.JTS;
import org.geotools.referencing.crs.DefaultGeographicCRS;
import org.locationtech.jts.geom.Coordinate;

public class TestDistance {

    public static void main(String[] args) throws Exception{

        CoordinateReferenceSystem crs = DefaultGeographicCRS.WGS84;

        Coordinate c1 = new Coordinate(110.3893805, 18.98851917);
        Coordinate c2 = new Coordinate(110.371739, 18.973134);

        double dist = JTS.orthodromicDistance(c1, c2, crs);

        System.out.println(dist);

    }
}
