package cn.com.taiji.common.enums;

import lombok.Getter;

/**
 * 错误码枚举
 * @author 86176
 */
@Getter
public enum ErrorCodeEnum {
    /**
     * 操作成功
     */
    SUCCESS(200, "操作成功"),

    /**
     * 内部错误
     */
    INTERNAL_SERVER_ERROR(500, "系统繁忙,请稍后再试");
    private final int code;

    private final String message;

    ErrorCodeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }
}
