package cn.com.taiji.common.model;

import lombok.Data;

import java.io.Serializable;

@Data
public class GeoRequestParam implements Serializable {


    private String service = "WMS";

    private String version = "1.1.1";

    private String request;

    private String format = "image/png8";

    private boolean transparent =true;

    private String layers;

    private String typename;

    private String viewparams;

    private String exceptions = "application/vnd.ogc.se_inimage";

    private String cqlFilter;

    private long time;

    private int width=256;

    private int  height=256;

    private String srs= "EPSG:4326";

    private String styles;

    private String bbox;

    private int x;
    private int y;

    private String geoType;
}
