package cn.com.taiji.common.model;

import lombok.Data;

import java.io.Serializable;

@Data
public class LayerGroupDsView implements Serializable {

    /**
     * 图层代码
     */
    private String layerCode;

    /**
     * 图层名称
     */
    private String layerName;

    /**
     * 图层数据源id
     */
    private String layerDsId;

    /**
     * 图层执行数据
     */
    private String layerDataRun;


    /**
     * 图层执行类型:sql代表执行sql语句,cql代表执行cql查询语句
     */
    private String layerDataType;

    /**
     * 图层组代码
     */
    private String groupCode;

    /**
     * 图层组名称
     */
    private String groupName;

    /**
     * 排序
     */
    private String sort;

    /**
     * 图层数据源数据库
     */
    private String dataBase;

    /**
     * 图层数据源数据库类型
     */
    private String dbType;

    /**
     * 图层数据源数据库ip地址和端口
     */
    private String host;

    /**
     * 图层数据源数据库用户名称
     */
    private String userName;

    /**
     * 图层数据源数据库用户密码
     */
    private String userPassword;

    /**
     * bbox查询字段
     */
    private String boxColumn;

    /**
     * 数据表名
     */
    private String tableName;

    /**
     * sql绑定参数json数据
     */
    private String json;
}
