package cn.com.taiji.common.model;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class LayerSqlParam implements Serializable {

    /**
     * 主键
     */
    private String id;

    /**
     * 图层代码
     */
    private String layerCode;

    /**
     * 参数名称
     */
    private String paramName;
    /**
     * 默认值
     */
    private String defaultValue;

    /**
     * 校验正则表达式
     */
    private String checkRegular;


    /**
     * 创建人
     */
    private String createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String updateUser;

    /**
     * 修改时间
     */
    private Date updateTime;
}
