package cn.com.taiji.tile.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.checkerframework.checker.units.qual.A;

import java.util.List;
import java.util.Map;

/**
 * @author zzyx 2024/1/25
 */
@Data
@ApiModel("点击要素信息")
public class FeatureInfo {
    private String totalFeatures;
    @ApiModelProperty("要素信息集合")
    private List<Map<String,Object>> features;
    @ApiModelProperty("时间戳")
    private String timeStamp;
    @ApiModelProperty("总数")
    private Integer numberReturned;

}
