package cn.com.taiji.tile.util;

import org.springframework.util.ResourceUtils;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;


public class ResourceUtil
        extends ResourceUtils {
    public static InputStream getResourceInputStream(String classpathName) {
        URL myUrl = null;
        try {
            myUrl = ResourceUtils.getURL("classpath:" + classpathName);
            if (myUrl == null) {
                myUrl = ResourceUtils.class.getResource("classpath:" + classpathName);
            }
            if (myUrl == null) {
                myUrl = ResourceUtils.getURL(classpathName);
            }
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
        if (myUrl != null) {
            try {
                return myUrl.openStream();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return null;
    }
}