package cn.com.taiji.web.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
public class EnterpriseConfig {

    @Value("${ent.ds.ip}")
    private String dsIp;

    @Value("${ent.ds.port}")
    private String dsPort;

    @Value("${ent.ds.username}")
    private String dsUserName;

    @Value("${ent.ds.password}")
    private String dsPassword;

    @Value("${ent.ds.basename}")
    private String dsBaseName;

    @Value("${ent.ds.enterprise}")
    private String enterprise;

    @Value("${ent.ds.device}")
    private String device;

    @Value("${ent.ds.dbtype}")
    private String dbType;

}
