package cn.com.taiji.web.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
public class GeoConfig {

    @Value("${geo.ds.ip}")
    private String dsIp;

    @Value("${geo.ds.port}")
    private String dsPort;

    @Value("${geo.ds.username}")
    private String dsUsername;

    @Value("${geo.ds.password}")
    private String dsPassword;

    @Value("${geo.ds.base}")
    private String dsBase;

    @Value("${geo.ds.dbtype}")
    private String dbType;

}
