package cn.com.taiji.web.model;

import lombok.Data;

import java.io.Serializable;

@Data
public class EnterpriseInfo implements Serializable {

    /**
     * 主键
     */
    private String id;

    /**
     * 数据主键
     */
    private String dataId;

    /**
     * 企业名称
     */
    private String qymc;

    /**
     * 企业经营类型
     */
    private String qykx;

    /**
     * 企业经营类型字典值
     */
    private String typeValue;

    /**
     * 统一社会信息代码
     */
    private String uniscid;

    /**
     * 位置
     */
    private String dom;

    /**
     * 法人姓名
     */
    private String lerep;

    /**
     * 纬度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 日期
     */
    private String dt;

}
