package cn.com.taiji.web.model;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class StaticsInfo implements Serializable {


    /**
     * 预警总数
     */
    private int alertCount=0;

    /**
     * 企业总数
     */
    private int count;

    /**
     * 零关税自用进口生产设备
     */
    private int deviceCount;

    /**
     * 零关税自用进口生产设备占比
     */
    private BigDecimal deviceRate;

    /**
     * 加工增值免关税
     */
    private int noTaxCount;

    /**
     * 加工增值免关税占比
     */
    private BigDecimal noTaxRate;

    /**
     * 零关税进口原辅料
     */
    private int materialCount;

    /**
     * 零关税进口原辅料占比
     */
    private BigDecimal materialRate;


}
